Subject: bug#59703: 29.0.50; Emacs crashes when turning treesit-explore-mode on with some C++ code

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Nov 2022 16:13:09 +0200

> Cc: [email-masked]
> Date: Wed, 30 Nov 2022 11:44:43 +0100
> From:  Daniel Martín via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> Theodor Thornhill <[email-masked]> writes:
> 
> > It doesn't crash here.  I remember there were some crashes with fairly
> > new versions of tree-sitter.  When I used the version provided in apt
> > the crashes disappeared.  I have version 20.3 now.
> >
> > Could that be what's causing this issue?
> >
> 
> Did you try to move the point after the last step?  It doesn't crash for
> me when I enable treesit-explore-mode, but it does as soon as I move the
> point upwards a bit by pressing C-p repeatedly.
> 
> I'm using Tree-sitter version 0.20.6.

I use the official 0.20.7 release, and I cannot reproduce the crash,
either.  Not even after C-p or other movements of point.